[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: migrating BACKWARDS: 1.3.0 to 1.1.4?

From: Ryan Schmidt <subversion-2006Q1_at_ryandesign.com>
Date: 2006-03-03 18:50:55 CET

On Mar 3, 2006, at 18:00, shane doucette wrote:

> I have a user who set up a Subversion server on their own machine,
> off of our network, running 1.3.0. He now wants to bring it onto
> our existing Subversion server, which is running 1.1.4.
>
> Is this possible, or are there too many differences in the versions
> to make it feasible? If it is possible, are there any issues for
> me to watch out for?

If it works, the way to do so would be to dump the 1.3.0 repository
to a text file and load that into a new repository created by
Subversion 1.1.4. If it doesn't work, I would expect Subversion 1.1.4
to complain that the dump format is too new. If it loads fine, I
would expect it to work fine.

I would, of course, encourage you to upgrade to Subversion 1.3.0,
just out of principle.

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@subversion.tigris.org
For additional commands, e-mail: users-help@subversion.tigris.org
Received on Fri Mar 3 18:52:18 2006

This is an archived mail posted to the Subversion Users mailing list.